/*=========================================
            GLOBAL PAGE BANNER
=========================================*/

.global-page-banner {
    position: relative;
    overflow: hidden;
    padding: 0.5rem;

    border-radius: 20px;

    background: linear-gradient(
        135deg,
        var(--theme-color),
        var(--border-color)
    );

    color: #fff;
}

.global-page-banner::before {
    content: "";

    position: absolute;

    width: 220px;
    height: 220px;

    top: -90px;
    left: -70px;

    border-radius: 50%;

    background: rgba(255, 255, 255, 0.08);
}

.global-page-banner::after {
    content: "";

    position: absolute;

    width: 160px;
    height: 160px;

    right: -40px;
    bottom: -60px;

    border-radius: 50%;

    background: rgba(255, 255, 255, 0.08);
}

.global-page-banner__content {
    position: relative;
    z-index: 2;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
}

.global-page-banner__title {
    margin-bottom: 0.6rem;
    font-size: 2rem;
    font-weight: 700;
    color: #fff;
    margin-right: 1rem;
}

.global-page-banner__counter {
    padding: 7px 15px;
    border-radius: 12px;
    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(8px);
    display: flex;
    gap: 5px;
    justify-content: center;
    align-items: center;
}

.global-page-banner__counter small {
    font-size: clamp(0.8rem, 1.5vh, 1.5rem);
    color: rgba(255, 255, 255, 0.9);
}

@media (max-width: 768px) {
    .global-page-banner {
        padding: 1.5rem;
    }

    .global-page-banner__content {
        flex-direction: column;
        text-align: center;
    }

    .global-page-banner__title {
        font-size: 1.6rem;
    }
}
